package com.mortals.xhx.module.check.model;

public class CheckAllRecordQuery {
    /**
     * 员工ID
     */
    private Long staffId;
    /**
     * 处理状态(1.未处理,2.已处理)
     */
    private Integer checkStatus;

    private String checkTimeStart;

    private String checkTimeEnd;

    private Long createUserId;

    /**
     * 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)
     */
    private Integer subMethod;

    public Long getStaffId() {
        return staffId;
    }

    public void setStaffId(Long staffId) {
        this.staffId = staffId;
    }

    public Integer getCheckStatus() {
        return checkStatus;
    }

    public void setCheckStatus(Integer checkStatus) {
        this.checkStatus = checkStatus;
    }

    public String getCheckTimeStart() {
        return checkTimeStart;
    }

    public void setCheckTimeStart(String checkTimeStart) {
        this.checkTimeStart = checkTimeStart;
    }

    public String getCheckTimeEnd() {
        return checkTimeEnd;
    }

    public void setCheckTimeEnd(String checkTimeEnd) {
        this.checkTimeEnd = checkTimeEnd;
    }

    public Long getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(Long createUserId) {
        this.createUserId = createUserId;
    }

    public Integer getSubMethod() {
        return subMethod;
    }

    public void setSubMethod(Integer subMethod) {
        this.subMethod = subMethod;
    }
}
